Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000911Frama-CKernelpublic2011-08-04 23:442014-02-12 16:59
Reporterpascal 
Assigned Toyakobowski 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000911: incorrect AST generated
Descriptionshort S;

int f(int x, int y)
{
  return x+y;
}

int main (void) {
  return f(1, S++);
}


Mini:~/ppc $ bin/toplevel.opt t.c -check
[kernel] preprocessing with "gcc -C -E -I. t.c"
t.c:11:[kernel] failure: [AST Integrity Check] initial AST
                  in call tmp_0 = f(1,tmp);, arg tmp has type short instead of int
[kernel] error occurring when exiting Frama-C: stopping exit procedure.
         The full backtrace is:
         Raised at file "src/kernel/log.ml", line 509, characters 30-31
         Called from file "src/kernel/log.ml", line 503, characters 9-16
         Re-raised at file "src/kernel/log.ml", line 506, characters 15-16
         Called from file "src/kernel/file.ml", line 639, characters 16-240
         Called from file "cil/src/cil.ml", line 1410, characters 15-31
         Called from file "cil/src/cil.ml", line 2258, characters 5-62
         Called from file "cil/src/cil.ml", line 2384, characters 14-21
         Called from file "cil/src/cil.ml", line 1356, characters 21-41
         Called from file "cil/src/cil.ml", line 2302, characters 5-86
         Called from file "cil/src/cil.ml", line 2331, characters 14-35
         Called from file "cil/src/cil.ml", line 1379, characters 13-16
         Called from file "cil/src/cil.ml", line 2329, characters 4-844
         Called from file "cil/src/cil.ml", line 1356, characters 21-41
         Called from file "cil/src/cil.ml", line 2302, characters 5-86
         Called from file "cil/src/cil.ml", line 1379, characters 13-16
         Called from file "cil/src/cil.ml", line 2436, characters 16-40
         Called from file "cil/src/cil.ml", line 1356, characters 21-41
         Called from file "cil/src/cil.ml", line 2649, characters 14-39
         Called from file "cil/src/cil.ml", line 1356, characters 21-41
         Called from file "cil/src/cil.ml", line 2624, characters 5-101
         Called from file "cil/src/cil.ml", line 2700, characters 16-38
         Called from file "cil/src/cil.ml", line 1379, characters 13-16
         Called from file "cil/src/cil.ml", line 1424, characters 24-57
         Called from file "cil/src/cil.ml", line 2694, characters 5-63
         Called from file "cil/src/cil.ml", line 8221, characters 16-36
         Called from file "list.ml", line 69, characters 12-15
         Called from file "cil/src/cil.ml", line 8178, characters 3-30
         Called from file "cil/src/cil.ml", line 8222, characters 2-368
         Called from file "cil/src/cil.ml", line 1356, characters 21-41
         Called from file "cil/src/cil.ml", line 8253, characters 7-84
         Called from file "src/kernel/file.ml", line 1159, characters 35-147
         Called from file "src/kernel/file.ml", line 1380, characters 4-27
         Called from file "src/kernel/ast.ml", line 60, characters 2-28
         Called from file "src/kernel/ast.ml", line 67, characters 53-71
         Called from file "queue.ml", line 134, characters 6-20
         Called from file "src/kernel/cmdline.ml", line 174, characters 6-23
         
         Frama-C aborted because of internal error.
         Please report as 'crash' at http://bts.frama-c.com/. [^]
         Your Frama-C version is Carbon-20110201+dev.
         Note that a version and a backtrace alone often does not have information
         to understand the bug. Guidelines for reporting bugs are at:
         http://bts.frama-c.com/dokuwiki/doku.php?id=mantis:frama-c:bug_reporting_guidelines [^]
Mini:~/ppc $
Tagscsmith
Attached Files

- Relationships

-  Notes
(0002112)
yakobowski (manager)
2011-08-05 00:04

Already present in Carbon.
(0004750)
yakobowski (manager)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-08-04 23:44 pascal New Issue
2011-08-05 00:04 yakobowski Note Added: 0002112
2011-08-05 18:31 pascal Tag Attached: csmith
2011-08-10 18:32 yakobowski Product Version Frama-C GIT, precise the release id => Frama-C Carbon-20110201
2011-08-10 18:32 yakobowski View Status private => public
2011-08-10 18:32 svn Checkin
2011-08-10 18:32 svn Status new => resolved
2011-08-10 18:32 svn Resolution open => fixed
2011-08-22 17:46 signoles Status resolved => assigned
2011-08-22 17:46 signoles Assigned To => signoles
2011-08-22 17:46 signoles Assigned To signoles => yakobowski
2011-08-22 17:46 signoles Status assigned => resolved
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 yakobowski Note Added: 0004750
2014-02-12 16:59 yakobowski Status closed => resolved


Copyright © 2000 - 2016 MantisBT Team
Powered by Mantis Bugtracker